Class CryptographicActorsApi
java.lang.Object
co.ankatech.keymanagement.client.keymanagement.api.CryptographicActorsApi
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionGet actor detailsokhttp3.CallgetActorAsync(UUID tenantId, UUID actorId, ApiCallback<ActorResponse> _callback) Get actor details (asynchronously)okhttp3.CallgetActorCall(UUID tenantId, UUID actorId, ApiCallback _callback) Build call for getActorgetActorWithHttpInfo(UUID tenantId, UUID actorId) Get actor detailsintlistApplicationActors(UUID tenantId, UUID applicationId) List actors under a specific Application Returns every non-deleted Cryptographic Actor owned by the supplied Application.okhttp3.CalllistApplicationActorsAsync(UUID tenantId, UUID applicationId, ApiCallback<List<ActorResponse>> _callback) List actors under a specific Application (asynchronously) Returns every non-deleted Cryptographic Actor owned by the supplied Application.okhttp3.CalllistApplicationActorsCall(UUID tenantId, UUID applicationId, ApiCallback _callback) Build call for listApplicationActorslistApplicationActorsWithHttpInfo(UUID tenantId, UUID applicationId) List actors under a specific Application Returns every non-deleted Cryptographic Actor owned by the supplied Application.List actors in tenant Returns every non-deleted Cryptographic Actor across every Application in the supplied tenant.okhttp3.CalllistTenantActorsAsync(UUID tenantId, Integer page, Integer size, List<String> sort, ApiCallback<PageActorResponse> _callback) List actors in tenant (asynchronously) Returns every non-deleted Cryptographic Actor across every Application in the supplied tenant.okhttp3.CalllistTenantActorsCall(UUID tenantId, Integer page, Integer size, List<String> sort, ApiCallback _callback) Build call for listTenantActorsList actors in tenant Returns every non-deleted Cryptographic Actor across every Application in the supplied tenant.voidsetApiClient(ApiClient apiClient) voidsetCustomBaseUrl(String customBaseUrl) voidsetHostIndex(int hostIndex)
-
Constructor Details
-
CryptographicActorsApi
public CryptographicActorsApi() -
CryptographicActorsApi
-
-
Method Details
-
getApiClient
-
setApiClient
-
getHostIndex
public int getHostIndex() -
setHostIndex
public void setHostIndex(int hostIndex) -
getCustomBaseUrl
-
setCustomBaseUrl
-
getActorCall
public okhttp3.Call getActorCall(@Nonnull UUID tenantId, @Nonnull UUID actorId, ApiCallback _callback) throws ApiException Build call for getActor- Parameters:
tenantId- (required)actorId- (required)_callback- Callback for upload/download progress- Returns:
- Call to execute
- Throws:
ApiException- If fail to serialize the request body object
-
getActor
Get actor details- Parameters:
tenantId- (required)actorId- (required)- Returns:
- ActorResponse
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
getActorWithHttpInfo
public ApiResponse<ActorResponse> getActorWithHttpInfo(@Nonnull UUID tenantId, @Nonnull UUID actorId) throws ApiException Get actor details- Parameters:
tenantId- (required)actorId- (required)- Returns:
- ApiResponse<ActorResponse>
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
getActorAsync
public okhttp3.Call getActorAsync(@Nonnull UUID tenantId, @Nonnull UUID actorId, ApiCallback<ActorResponse> _callback) throws ApiException Get actor details (asynchronously)- Parameters:
tenantId- (required)actorId- (required)_callback- The callback to be executed when the API call finishes- Returns:
- The request call
- Throws:
ApiException- If fail to process the API call, e.g. serializing the request body object
-
listApplicationActorsCall
public okhttp3.Call listApplicationActorsCall(@Nonnull UUID tenantId, @Nonnull UUID applicationId, ApiCallback _callback) throws ApiException Build call for listApplicationActors- Parameters:
tenantId- (required)applicationId- (required)_callback- Callback for upload/download progress- Returns:
- Call to execute
- Throws:
ApiException- If fail to serialize the request body object
-
listApplicationActors
public List<ActorResponse> listApplicationActors(@Nonnull UUID tenantId, @Nonnull UUID applicationId) throws ApiException List actors under a specific Application Returns every non-deleted Cryptographic Actor owned by the supplied Application. Useful for the Application detail page in the Admin Console.- Parameters:
tenantId- (required)applicationId- (required)- Returns:
- List<ActorResponse>
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
listApplicationActorsWithHttpInfo
public ApiResponse<List<ActorResponse>> listApplicationActorsWithHttpInfo(@Nonnull UUID tenantId, @Nonnull UUID applicationId) throws ApiException List actors under a specific Application Returns every non-deleted Cryptographic Actor owned by the supplied Application. Useful for the Application detail page in the Admin Console.- Parameters:
tenantId- (required)applicationId- (required)- Returns:
- ApiResponse<List<ActorResponse>>
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
listApplicationActorsAsync
public okhttp3.Call listApplicationActorsAsync(@Nonnull UUID tenantId, @Nonnull UUID applicationId, ApiCallback<List<ActorResponse>> _callback) throws ApiException List actors under a specific Application (asynchronously) Returns every non-deleted Cryptographic Actor owned by the supplied Application. Useful for the Application detail page in the Admin Console.- Parameters:
tenantId- (required)applicationId- (required)_callback- The callback to be executed when the API call finishes- Returns:
- The request call
- Throws:
ApiException- If fail to process the API call, e.g. serializing the request body object
-
listTenantActorsCall
public okhttp3.Call listTenantActorsCall(@Nonnull UUID tenantId, @Nullable Integer page, @Nullable Integer size, @Nullable List<String> sort, ApiCallback _callback) throws ApiException Build call for listTenantActors- Parameters:
tenantId- (required)page- Zero-based page index (0..N) (optional, default to 0)size- The size of the page to be returned (optional, default to 25)sort- Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. (optional)_callback- Callback for upload/download progress- Returns:
- Call to execute
- Throws:
ApiException- If fail to serialize the request body object
-
listTenantActors
public PageActorResponse listTenantActors(@Nonnull UUID tenantId, @Nullable Integer page, @Nullable Integer size, @Nullable List<String> sort) throws ApiException List actors in tenant Returns every non-deleted Cryptographic Actor across every Application in the supplied tenant. Ordered by name.- Parameters:
tenantId- (required)page- Zero-based page index (0..N) (optional, default to 0)size- The size of the page to be returned (optional, default to 25)sort- Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. (optional)- Returns:
- PageActorResponse
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
listTenantActorsWithHttpInfo
public ApiResponse<PageActorResponse> listTenantActorsWithHttpInfo(@Nonnull UUID tenantId, @Nullable Integer page, @Nullable Integer size, @Nullable List<String> sort) throws ApiException List actors in tenant Returns every non-deleted Cryptographic Actor across every Application in the supplied tenant. Ordered by name.- Parameters:
tenantId- (required)page- Zero-based page index (0..N) (optional, default to 0)size- The size of the page to be returned (optional, default to 25)sort- Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. (optional)- Returns:
- ApiResponse<PageActorResponse>
- Throws:
ApiException- If fail to call the API, e.g. server error or cannot deserialize the response body
-
listTenantActorsAsync
public okhttp3.Call listTenantActorsAsync(@Nonnull UUID tenantId, @Nullable Integer page, @Nullable Integer size, @Nullable List<String> sort, ApiCallback<PageActorResponse> _callback) throws ApiException List actors in tenant (asynchronously) Returns every non-deleted Cryptographic Actor across every Application in the supplied tenant. Ordered by name.- Parameters:
tenantId- (required)page- Zero-based page index (0..N) (optional, default to 0)size- The size of the page to be returned (optional, default to 25)sort- Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. (optional)_callback- The callback to be executed when the API call finishes- Returns:
- The request call
- Throws:
ApiException- If fail to process the API call, e.g. serializing the request body object
-